patch-configure 11 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366
  1. --- xfsprogs-3.1.4.orig/configure 2010-11-11 18:38:31.000000000 +0100
  2. +++ xfsprogs-3.1.4/configure 2011-02-14 20:26:03.000000000 +0100
  3. @@ -11214,11 +11214,11 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
  4. test -z "$INSTALL_GROUP" || pkg_group="$INSTALL_GROUP"
  5. - pkg_distribution=`uname -s`
  6. + pkg_distribution=Linux
  7. test -z "$DISTRIBUTION" || pkg_distribution="$DISTRIBUTION"
  8. - pkg_platform=`uname -s | tr 'A-Z' 'a-z' | tr -d / | sed -e 's/irix64/irix/'`
  9. + pkg_platform=linux
  10. test -z "$PLATFORM" || pkg_platform="$PLATFORM"
  11. @@ -12604,349 +12604,6 @@ fi
  12. -for ac_header in aio.h
  13. -do
  14. -as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
  15. -if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
  16. - { $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
  17. -$as_echo_n "checking for $ac_header... " >&6; }
  18. -if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
  19. - $as_echo_n "(cached) " >&6
  20. -fi
  21. -ac_res=`eval 'as_val=${'$as_ac_Header'}
  22. - $as_echo "$as_val"'`
  23. - { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
  24. -$as_echo "$ac_res" >&6; }
  25. -else
  26. - # Is the header compilable?
  27. -{ $as_echo "$as_me:$LINENO: checking $ac_header usability" >&5
  28. -$as_echo_n "checking $ac_header usability... " >&6; }
  29. -cat >conftest.$ac_ext <<_ACEOF
  30. -/* confdefs.h. */
  31. -_ACEOF
  32. -cat confdefs.h >>conftest.$ac_ext
  33. -cat >>conftest.$ac_ext <<_ACEOF
  34. -/* end confdefs.h. */
  35. -$ac_includes_default
  36. -#include <$ac_header>
  37. -_ACEOF
  38. -rm -f conftest.$ac_objext
  39. -if { (ac_try="$ac_compile"
  40. -case "(($ac_try" in
  41. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  42. - *) ac_try_echo=$ac_try;;
  43. -esac
  44. -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
  45. -$as_echo "$ac_try_echo") >&5
  46. - (eval "$ac_compile") 2>conftest.er1
  47. - ac_status=$?
  48. - grep -v '^ *+' conftest.er1 >conftest.err
  49. - rm -f conftest.er1
  50. - cat conftest.err >&5
  51. - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
  52. - (exit $ac_status); } && {
  53. - test -z "$ac_c_werror_flag" ||
  54. - test ! -s conftest.err
  55. - } && test -s conftest.$ac_objext; then
  56. - ac_header_compiler=yes
  57. -else
  58. - $as_echo "$as_me: failed program was:" >&5
  59. -sed 's/^/| /' conftest.$ac_ext >&5
  60. -
  61. - ac_header_compiler=no
  62. -fi
  63. -
  64. -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  65. -{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
  66. -$as_echo "$ac_header_compiler" >&6; }
  67. -
  68. -# Is the header present?
  69. -{ $as_echo "$as_me:$LINENO: checking $ac_header presence" >&5
  70. -$as_echo_n "checking $ac_header presence... " >&6; }
  71. -cat >conftest.$ac_ext <<_ACEOF
  72. -/* confdefs.h. */
  73. -_ACEOF
  74. -cat confdefs.h >>conftest.$ac_ext
  75. -cat >>conftest.$ac_ext <<_ACEOF
  76. -/* end confdefs.h. */
  77. -#include <$ac_header>
  78. -_ACEOF
  79. -if { (ac_try="$ac_cpp conftest.$ac_ext"
  80. -case "(($ac_try" in
  81. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  82. - *) ac_try_echo=$ac_try;;
  83. -esac
  84. -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
  85. -$as_echo "$ac_try_echo") >&5
  86. - (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
  87. - ac_status=$?
  88. - grep -v '^ *+' conftest.er1 >conftest.err
  89. - rm -f conftest.er1
  90. - cat conftest.err >&5
  91. - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
  92. - (exit $ac_status); } >/dev/null && {
  93. - test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
  94. - test ! -s conftest.err
  95. - }; then
  96. - ac_header_preproc=yes
  97. -else
  98. - $as_echo "$as_me: failed program was:" >&5
  99. -sed 's/^/| /' conftest.$ac_ext >&5
  100. -
  101. - ac_header_preproc=no
  102. -fi
  103. -
  104. -rm -f conftest.err conftest.$ac_ext
  105. -{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
  106. -$as_echo "$ac_header_preproc" >&6; }
  107. -
  108. -# So? What about this header?
  109. -case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
  110. - yes:no: )
  111. - { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
  112. -$as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
  113. - { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
  114. -$as_echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
  115. - ac_header_preproc=yes
  116. - ;;
  117. - no:yes:* )
  118. - { $as_echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
  119. -$as_echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
  120. - { $as_echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
  121. -$as_echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
  122. - { $as_echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
  123. -$as_echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
  124. - { $as_echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
  125. -$as_echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
  126. - { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
  127. -$as_echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
  128. - { $as_echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
  129. -$as_echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
  130. -
  131. - ;;
  132. -esac
  133. -{ $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
  134. -$as_echo_n "checking for $ac_header... " >&6; }
  135. -if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
  136. - $as_echo_n "(cached) " >&6
  137. -else
  138. - eval "$as_ac_Header=\$ac_header_preproc"
  139. -fi
  140. -ac_res=`eval 'as_val=${'$as_ac_Header'}
  141. - $as_echo "$as_val"'`
  142. - { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
  143. -$as_echo "$ac_res" >&6; }
  144. -
  145. -fi
  146. -as_val=`eval 'as_val=${'$as_ac_Header'}
  147. - $as_echo "$as_val"'`
  148. - if test "x$as_val" = x""yes; then
  149. - cat >>confdefs.h <<_ACEOF
  150. -#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
  151. -_ACEOF
  152. -
  153. -fi
  154. -
  155. -done
  156. -
  157. - if test $ac_cv_header_aio_h = no; then
  158. - echo
  159. - echo 'FATAL ERROR: could not find a valid <aio.h> header.'
  160. - exit 1
  161. - fi
  162. -
  163. -
  164. -for ac_func in lio_listio
  165. -do
  166. -as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
  167. -{ $as_echo "$as_me:$LINENO: checking for $ac_func" >&5
  168. -$as_echo_n "checking for $ac_func... " >&6; }
  169. -if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
  170. - $as_echo_n "(cached) " >&6
  171. -else
  172. - cat >conftest.$ac_ext <<_ACEOF
  173. -/* confdefs.h. */
  174. -_ACEOF
  175. -cat confdefs.h >>conftest.$ac_ext
  176. -cat >>conftest.$ac_ext <<_ACEOF
  177. -/* end confdefs.h. */
  178. -/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
  179. - For example, HP-UX 11i <limits.h> declares gettimeofday. */
  180. -#define $ac_func innocuous_$ac_func
  181. -
  182. -/* System header to define __stub macros and hopefully few prototypes,
  183. - which can conflict with char $ac_func (); below.
  184. - Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
  185. - <limits.h> exists even on freestanding compilers. */
  186. -
  187. -#ifdef __STDC__
  188. -# include <limits.h>
  189. -#else
  190. -# include <assert.h>
  191. -#endif
  192. -
  193. -#undef $ac_func
  194. -
  195. -/* Override any GCC internal prototype to avoid an error.
  196. - Use char because int might match the return type of a GCC
  197. - builtin and then its argument prototype would still apply. */
  198. -#ifdef __cplusplus
  199. -extern "C"
  200. -#endif
  201. -char $ac_func ();
  202. -/* The GNU C library defines this for functions which it implements
  203. - to always fail with ENOSYS. Some functions are actually named
  204. - something starting with __ and the normal name is an alias. */
  205. -#if defined __stub_$ac_func || defined __stub___$ac_func
  206. -choke me
  207. -#endif
  208. -
  209. -int
  210. -main ()
  211. -{
  212. -return $ac_func ();
  213. - ;
  214. - return 0;
  215. -}
  216. -_ACEOF
  217. -rm -f conftest.$ac_objext conftest$ac_exeext
  218. -if { (ac_try="$ac_link"
  219. -case "(($ac_try" in
  220. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  221. - *) ac_try_echo=$ac_try;;
  222. -esac
  223. -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
  224. -$as_echo "$ac_try_echo") >&5
  225. - (eval "$ac_link") 2>conftest.er1
  226. - ac_status=$?
  227. - grep -v '^ *+' conftest.er1 >conftest.err
  228. - rm -f conftest.er1
  229. - cat conftest.err >&5
  230. - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
  231. - (exit $ac_status); } && {
  232. - test -z "$ac_c_werror_flag" ||
  233. - test ! -s conftest.err
  234. - } && test -s conftest$ac_exeext && {
  235. - test "$cross_compiling" = yes ||
  236. - $as_test_x conftest$ac_exeext
  237. - }; then
  238. - eval "$as_ac_var=yes"
  239. -else
  240. - $as_echo "$as_me: failed program was:" >&5
  241. -sed 's/^/| /' conftest.$ac_ext >&5
  242. -
  243. - eval "$as_ac_var=no"
  244. -fi
  245. -
  246. -rm -rf conftest.dSYM
  247. -rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
  248. - conftest$ac_exeext conftest.$ac_ext
  249. -fi
  250. -ac_res=`eval 'as_val=${'$as_ac_var'}
  251. - $as_echo "$as_val"'`
  252. - { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
  253. -$as_echo "$ac_res" >&6; }
  254. -as_val=`eval 'as_val=${'$as_ac_var'}
  255. - $as_echo "$as_val"'`
  256. - if test "x$as_val" = x""yes; then
  257. - cat >>confdefs.h <<_ACEOF
  258. -#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
  259. -_ACEOF
  260. -
  261. -fi
  262. -done
  263. -
  264. - if test $ac_cv_func_lio_listio = yes; then
  265. - librt=""
  266. - else
  267. -
  268. -{ $as_echo "$as_me:$LINENO: checking for lio_listio in -lrt" >&5
  269. -$as_echo_n "checking for lio_listio in -lrt... " >&6; }
  270. -if test "${ac_cv_lib_rt_lio_listio+set}" = set; then
  271. - $as_echo_n "(cached) " >&6
  272. -else
  273. - ac_check_lib_save_LIBS=$LIBS
  274. -LIBS="-lrt -lpthread $LIBS"
  275. -cat >conftest.$ac_ext <<_ACEOF
  276. -/* confdefs.h. */
  277. -_ACEOF
  278. -cat confdefs.h >>conftest.$ac_ext
  279. -cat >>conftest.$ac_ext <<_ACEOF
  280. -/* end confdefs.h. */
  281. -
  282. -/* Override any GCC internal prototype to avoid an error.
  283. - Use char because int might match the return type of a GCC
  284. - builtin and then its argument prototype would still apply. */
  285. -#ifdef __cplusplus
  286. -extern "C"
  287. -#endif
  288. -char lio_listio ();
  289. -int
  290. -main ()
  291. -{
  292. -return lio_listio ();
  293. - ;
  294. - return 0;
  295. -}
  296. -_ACEOF
  297. -rm -f conftest.$ac_objext conftest$ac_exeext
  298. -if { (ac_try="$ac_link"
  299. -case "(($ac_try" in
  300. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  301. - *) ac_try_echo=$ac_try;;
  302. -esac
  303. -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
  304. -$as_echo "$ac_try_echo") >&5
  305. - (eval "$ac_link") 2>conftest.er1
  306. - ac_status=$?
  307. - grep -v '^ *+' conftest.er1 >conftest.err
  308. - rm -f conftest.er1
  309. - cat conftest.err >&5
  310. - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
  311. - (exit $ac_status); } && {
  312. - test -z "$ac_c_werror_flag" ||
  313. - test ! -s conftest.err
  314. - } && test -s conftest$ac_exeext && {
  315. - test "$cross_compiling" = yes ||
  316. - $as_test_x conftest$ac_exeext
  317. - }; then
  318. - ac_cv_lib_rt_lio_listio=yes
  319. -else
  320. - $as_echo "$as_me: failed program was:" >&5
  321. -sed 's/^/| /' conftest.$ac_ext >&5
  322. -
  323. - ac_cv_lib_rt_lio_listio=no
  324. -fi
  325. -
  326. -rm -rf conftest.dSYM
  327. -rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
  328. - conftest$ac_exeext conftest.$ac_ext
  329. -LIBS=$ac_check_lib_save_LIBS
  330. -fi
  331. -{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_rt_lio_listio" >&5
  332. -$as_echo "$ac_cv_lib_rt_lio_listio" >&6; }
  333. -if test "x$ac_cv_lib_rt_lio_listio" = x""yes; then
  334. - cat >>confdefs.h <<_ACEOF
  335. -#define HAVE_LIBRT 1
  336. -_ACEOF
  337. -
  338. - LIBS="-lrt $LIBS"
  339. -
  340. -else
  341. -
  342. - echo
  343. - echo 'FATAL ERROR: could not find a library with lio_listio.'
  344. - exit 1
  345. -fi
  346. -
  347. - librt="-lrt"
  348. - fi
  349. -
  350. -
  351. -
  352. -
  353. -
  354. -
  355. for ac_header in uuid.h sys/uuid.h uuid/uuid.h
  356. do
  357. as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`